### Name

> XmHTMLGetURLType - obtain the classification of a Uniform Resource Locator.

### Synopsis

> URLType XmHTMLGetURLType(String href)

### Description

> XmHTMLGetURLType classifies Uniform Resource Locators (URLs). A URL can be thought of as a networked extension of the standard filename concept: not only can it point to a file (in a directory), but that file (and directory) can exist on any machine in a network, and can be served via any of several methods. It might not even be a file: URLs can also point to queries, documents stored within databases, the results of commands,...

> href
>   Specifies the URL to be classified.

### Return Value

> One of the following constants (port numbers are only shown for demonstration purposes):

    	typedef enum{
    		ANCHOR_UNKNOWN     /* unknown URL type           */
    		ANCHOR_JUMP        /* "#..."                     */
    		ANCHOR_FILE_LOCAL  /* "file.html"                */
    		ANCHOR_FILE_REMOTE /* "file://foo.bar/file.html" */
    		ANCHOR_FTP         /* "ftp://foo.bar/file"       */
    		ANCHOR_HTTP        /* "http://foo.bar/file.html" */
    		ANCHOR_GOPHER      /* "gopher://foo.bar:70"      */
    		ANCHOR_WAIS        /* "wais://foo.bar"           */
    		ANCHOR_NEWS        /* "news://foo.bar"           */
    		ANCHOR_TELNET      /* "telnet://foo.bar:23"      */
    		ANCHOR_MAILTO      /* "mailto:foo@bar"           */
    		ANCHOR_EXEC        /* "[x]exec:foo_bar"          */
    	}URLType

### See Also

> XmHTML(3X), RFC 1738

XmHTML, October 7, 1997